> ## Documentation Index
> Fetch the complete documentation index at: https://docs.subotiz.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取争议单详情

> 按 ID 查询单笔争议详情

按 ID 查询单笔争议详情


## OpenAPI

````yaml openapi/v1-zh.yaml GET /api/v1/disputes/{dispute_id}
openapi: 3.0.3
info:
  title: Subotiz API
  description: Subotiz OpenAPI
  version: 1.0.0
servers:
  - url: https://{api}.subotiz.com
    variables:
      api:
        default: api
security:
  - sec0: []
tags:
  - name: 折扣
    description: 折扣
  - name: 发票
    description: 发票
  - name: 退款
    description: 退款
  - name: 商品管理
    description: 商品管理
  - name: 订阅
    description: 订阅
  - name: 商品定价
    description: 商品定价方案
  - name: 交易单
    description: 交易单
  - name: 支付流水
    description: 支付流水
  - name: 结账会话
    description: 结账会话
  - name: 顾客
    description: 顾客
  - name: 顾客门户
    description: 顾客门户
  - name: Webhook
    description: Webhook
  - name: 争议
    description: 争议订单
paths:
  /api/v1/disputes/{dispute_id}:
    get:
      tags:
        - 争议
      summary: 获取争议单详情
      description: 按 ID 查询单笔争议详情
      operationId: v1-dispute-get-dispute
      parameters:
        - name: dispute_id
          in: path
          description: Subotiz 争议 ID/渠道争议 ID
          required: true
          schema:
            type: string
        - name: merchant_id
          in: query
          description: 商户 ID
          schema:
            type: string
        - $ref: '#/components/parameters/HeaderRequestID'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetDisputeResponse'
        '422':
          description: merchant_id is required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BaseResponse'
              example:
                code: InvalidParameter
                message: merchant_id is required.
components:
  parameters:
    HeaderRequestID:
      name: Request-Id
      in: header
      description: 请求的唯一标识符
      required: true
      schema:
        type: string
        default: 008e3967-a1b5-48bb-be14-d5bff5092e61
  schemas:
    GetDisputeResponse:
      type: object
      properties:
        code:
          type: string
          description: error code
        message:
          type: string
          description: error message
        data:
          $ref: '#/components/schemas/GetDisputeResponse_Data'
    BaseResponse:
      type: object
      properties:
        code:
          type: string
          description: 错误码
        message:
          type: string
          description: 错误详细信息
    GetDisputeResponse_Data:
      type: object
      properties:
        id:
          type: string
          description: Subotiz 争议 ID
        channel_dispute_id:
          type: string
          description: 渠道争议 ID
        merchant_id:
          type: string
          description: 商户 ID
        order_id:
          type: string
          description: 交易单 ID
        payment_channel:
          type: string
          description: 支付渠道
        payment_method:
          type: string
          description: 支付方式
        dispute_status:
          type: string
          description: |-
            争议状态：
            - inquiry_needs_response - 待商家回应（查询）
            - inquiry_under_review - 审核中（查询）
            - case_closed - 已关闭
            - needs_response - 待商家回应
            - under_review - 审核中
            - won - 争议胜诉
            - lost - 争议败诉
            - open - 尚未解决
            - pending_customer_response - 待客户回应
            - needs_response_appealable - 待商家回应（可申诉）
        dispute_reason:
          type: string
          description: |-
            争议原因：
            - unauthorized - 客户未授权购买商品或服务
            - product_not_received - 客户未收到商品或服务
            - product_unacceptable - 客户报告商品或服务与描述不符
            - credit_not_processed - 未为客户处理退款或信贷
            - duplicate - 交易重复
            - subscription_canceled - 订阅已取消
            - unrecognized - 客户无法识别的交易
            - incorrect_charge_amount - 收费金额有误
            - payment_by_other_methods - 客户通过其他方式付款
            - remittance_processing_error - 汇款问题
            - others - 其他
        order_amount:
          type: string
          description: 订单金额
        order_currency:
          type: string
          description: 订单币种
        dispute_amount:
          type: string
          description: 争议金额
        dispute_currency:
          type: string
          description: 争议币种
        dispute_create_time:
          type: string
          description: 争议创建时间
        dispute_update_time:
          type: string
          description: 最后更新时间
        dispute_due_time:
          type: string
          description: 回应截止日
  securitySchemes:
    sec0:
      type: http
      description: 'Bearer API Key 鉴权。格式：Authorization: Bearer {your_api_key}'
      scheme: bearer

````